Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.context
Class ContextLink

    java.lang.Object
      ix.util.context.ContextLink

    public final class ContextLink

extends java.lang.Object

An element in a chain of associations between contexts and values.

A chain of ContextLinks is used to map contexts to values (Objects). The public constructors create a 1-link chain. This normally specifies a default, initial, or top-level value (typically one associated with the root context). Further links are normally added by calling the Context.setInContext method; this ensures that the resulting chain can be processed correctly by the Context.getInContext method, which requires that entries for newer (higher-numbered) contexts appear before those for older ones.

See Also:
  `Context.getInContext(ContextLink cl, Context c)`, `Context.setInContext(ContextLink cl, Context c, Object value)`

Field Summary
`(package private) long` | `contextNumber`
`(package private) ContextLink` | `next`
`(package private) java.lang.Object` | `value`

Constructor Summary
`ContextLink(Context context, java.lang.Object value)` Creates a link that specifies a value for a given context.
`ContextLink(Context context, java.lang.Object value, ContextLink next)` Constructs a new link at the head of a chain.
`ContextLink(long contextNumber, java.lang.Object value, ContextLink next)` Constructs a new link at the head of a chain.
`ContextLink(java.lang.Object value)` Creates a link that specifies a value in the root context.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextNumber

    long contextNumber

### value

    java.lang.Object value

### next

    ContextLink next

Constructor Detail

### ContextLink

    public ContextLink(java.lang.Object value)

  Creates a link that specifies a value in the root context.

### ContextLink

    public ContextLink(Context context,
                       java.lang.Object value)

  Creates a link that specifies a value for a given context.

### ContextLink

    ContextLink(Context context,
                java.lang.Object value,
                ContextLink next)

  Constructs a new link at the head of a chain.

### ContextLink

    ContextLink(long contextNumber,
                java.lang.Object value,
                ContextLink next)

  Constructs a new link at the head of a chain.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD